Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 28-01-2022 14:14:55

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Problèmes avec libllvm12:i386

Bonjour,
Depuis quelques jours, la mise à jour via le Terminal présente le même message


Les paquets suivants ont des dépendances non satisfaites :
 libxatracker2 : Dépend: libllvm12 but it is not going to be installed
 mesa-va-drivers : Dépend: libllvm12 but it is not going to be installed
 libgl1-mesa-dri : Dépend: libllvm12 but it is not going to be installed
 libosmesa6 : Dépend: libllvm12 but it is not going to be installed
 mesa-vdpau-drivers : Dépend: libllvm12 but it is not going to be installed
Les actions suivantes permettront de résoudre ces dépendances :

     Conserver les paquets suivants dans leur version actuelle :
1)     libllvm12 [1:12.0.1-17+b1 (now, testing)]                
2)     libllvm12:i386 [1:12.0.1-17+b1 (now)]  



On me demande si j'accepte la proposition ou non : j'accepte. Mais sans aucune conséquence.
J'ai réinstallé chacun des six paquets : pas de problème.
Idem avec `libllvm12` : aucun problème.
Allons-y pour `libllvm12:i386`. Et là, on m'annonce la suppression de deux cents paquets importants, dont je vous épargnerai la liste. Idem avec Synaptic. J'ai laissé tomber… 

Ce n'est pas que cela soit dérangeant pour le système (à vue de nez ; si ça se trouve, ce n'est pas le cas…), mais ça m'embête bien, cette histoire… Quelqu'un aurait-il eu le même problème [donc, ça me dérange bien : OK, OK, j'y consens] ?

Merci d'avance


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#2 28-01-2022 14:35:50

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : Problèmes avec libllvm12:i386

bonjour
pour que ça fonctionne , il faut que la version soit disponible en i386 ce qui n'est pas le cas sous testing
donc tu garde la version "now" pour l'instant (et cela te bloque quelques paquets de mesa aussi )
tu peu regarder sous sid , la version du i386 est peut être bloqué pour une bonne raison et ne descend pas sur testing
je peu regarder si j'ai ce souci aussi , sous testing
faut être patient et attendre wink
ps: seul ceux qui ont le i386 activé vont avoir le problème

Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#3 28-01-2022 14:48:49

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : Problèmes avec libllvm12:i386

re,
voila mon retour


apt update
Réception de :1 https://deb.debian.org/debian bookworm-updates InRelease [36,8 kB]
Réception de :2 https://deb.debian.org/debian bookworm InRelease [129 kB]              
Atteint :3 https://security.debian.org/debian-security bookworm-security InRelease      
Réception de :4 https://deb.debian.org/debian bookworm/main amd64 DEP-11 Metadata [4192 kB]
4358 ko réceptionnés en 4s (1001 ko/s)          
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'
état... Fait      
1 paquet peut être mis à jour. Exécutez « apt list --upgradable » pour le voir.
 



apt list --upgradable
En train de lister... Fait
libllvm12/testing 1:12.0.1-17+b2 i386 [pouvant être mis à jour depuis : 1:12.0.1-17+b1]
N: Il y a une version supplémentaire 1. Veuillez utiliser l'opérande « -a » pour la voir.




apt policy libllvm12
libllvm12:
  Installé : 1:12.0.1-17+b1
  Candidat : 1:12.0.1-17+b1
 Table de version :
 *** 1:12.0.1-17+b1 500
        500 https://deb.debian.org/debian bookworm/main amd64 Packages
        100 /var/lib/dpkg/status
 



donc j' attend , je lance même pas la mise a jour


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#4 28-01-2022 14:55:42

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.19 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : Problèmes avec libllvm12:i386

C’est un souci uniquement présent en testing, qui de toutes façons n’est pas prévue pour être une branche utilisable de Debian. Sid peut installer ces deux architectures en parallèle sans aucun souci :

apt policy libllvm12:{amd64,i386}

libllvm12:
  Installé : (aucun)
  Candidat : 1:12.0.1-18+b1
 Table de version :
     1:12.0.1-18+b1 500
        500 http://deb.debian.org/debian unstable/main amd64 Packages
     1:12.0.1-17+b1 500
        500 http://deb.debian.org/debian testing/main amd64 Packages
libllvm12:i386:
  Installé : (aucun)
  Candidat : 1:12.0.1-18+b1
 Table de version :
     1:12.0.1-18+b1 500
        500 http://deb.debian.org/debian unstable/main i386 Packages
     1:12.0.1-17+b2 500
        500 http://deb.debian.org/debian testing/main i386 Packages


Jouer sous Debian ? Facile !

Hors ligne

#5 28-01-2022 22:03:50

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : Problèmes avec libllvm12:i386

Ce paquet était dans la mise à jour, d'aujourd'hui, zéro problèmos

apt policy libllvm12:{amd64,i386}


libllvm12:
  Installé : 1:12.0.1-18+b1
  Candidat : 1:12.0.1-18+b1
 Table de version :
 *** 1:12.0.1-18+b1 500
        500 https://deb.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     1:12.0.1-17+b1 500
        500 https://deb.debian.org/debian testing/main amd64 Packages
libllvm12:i386:
  Installé : 1:12.0.1-18+b1
  Candidat : 1:12.0.1-18+b1
 Table de version :
 *** 1:12.0.1-18+b1 500
        500 https://deb.debian.org/debian sid/main i386 Packages
        100 /var/lib/dpkg/status
     1:12.0.1-17+b2 500
        500 https://deb.debian.org/debian testing/main i386 Packages

Hors ligne

#6 29-01-2022 08:43:10

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : Problèmes avec libllvm12:i386

Bonjour
@ubub

en théorie il faut juste attendre , pour ceux qui reste sous bookworm (et pas sid ) que la version soit disponible (1:12.0.1-18+b1) dans le dépôt (en i386)

mais vue la disparition depuis quelques jours de nombreux paquets sous bookworm (8 pour moi , hier soir )
je pense qu'il faut faire une pause sur les mises a jours soit passer a sid.

en espérant que ce soit réparé sous testing (bookworm) rapidement roll
ps: bon pas de stress pour moi je suis en buster (en double boot ) , je peu même attendre le passage a stable de bookworm  roll

ps: il me reste plus que 2 paquets absent , mate-media et mate-media-common sous bookworm
on va attendre encore un peu  wink

Dernière modification par robert2a (29-01-2022 08:50:40)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#7 31-01-2022 00:13:26

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.19 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : Problèmes avec libllvm12:i386

robert2a a écrit :

il me reste plus que 2 paquets absent , mate-media et mate-media-common sous bookworm



Apparemment pour ceux-ci il va falloir attendre la correction de ce bug : mate-media: volume-control-applet dies often.


Jouer sous Debian ? Facile !

Hors ligne

#8 31-01-2022 02:20:45

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : Problèmes avec libllvm12:i386

Bonsoir
aucun souci pour moi , je suis sous buster sur 5 machines (mit a jour mon profil ) .
mais c'est bien de le signaler pour les utilisateurs
par contre je surveille pas trop depuis quelques jours , sauf si je passe sur le double boot en Bookworm/sid pour vérifier .

Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#9 31-01-2022 15:05:55

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : Problèmes avec libllvm12:i386

Merci pour vos réponses. J'ai pourtant une version stable (Bulleye). Je vais regarder si mon fichier sources.list est à jour…

Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#10 04-02-2022 10:52:54

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.19.0-1-amd64
(G)UI : Gnome 43.0
Inscription : 07-02-2018

Re : Problèmes avec libllvm12:i386

Et le problème a disparu comme il était apparu. Même pas eu besoin d'aller tripatouiller le sources.list…

Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

Pied de page des forums